:root {
    box-sizing: border-box;
    font-size: calc(1vw + 0.6em);
    --primary-color: #3880ff;
    --secondary-color: #0cd1e8;
    --success-color: #0ec254;
    --warning-color: #ffce00;
    --danger-color: #f04141;
    --dark-color: #222428;
    --medium-color: #989aa2;
    --ligth-color: #f4f5f8;
    --white-color: #fff;
    --black-color: #000;
}

*, *::before, *::after {
    box-sizing: inherit;
}

body {
    margin: 0;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    background-color: var(--ligth-color);
}

header {
    background-color:var(--primary-color);
    color: var(--white-color);
    text-align: center;
    padding: 0.4em;
    margin-bottom: 1em;
}

footer {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: transparent;
    color: var(--medium-color);
    text-align: center;
    font-size: 60%;
    padding: 0.6em;
}

.container {
    max-width: 900px;
    margin: 0 auto;
}

main {
    padding: 1em 1.5em;
    background-color: var(--white-color);
    border-radius: 0.5em;
}

section+section {
    margin-top: 1em;
}

.form legend {
    font-size: 0.6rem;
    padding: 0 1em;
}

.form .todo {
    display: flex;
}

.form-group {
    display: block;
    flex: 1;
}

.form-group+.form-group {
    margin-left: 1em;
}

.form-group label {
    display: block;
    font-size: 0.7rem;
    text-transform: uppercase;
}

.form-group input {
    display: block;
    border-radius: 0.4em;
    width: 100%;
    font-size: 0.8rem;
}

.form .buttons {
    margin-top: 0.6em;
    text-align: center;
}

.form .buttons button {
    padding: 0.4em 2em;
    font-size: 0.6rem;
    color: var(--white-color);
}

.form .action {
    background-color: var(--primary-color);
}
.form .cancel {
    background-color: var(--medium-color);
}

.search input {
    padding: 0.2rem;
    text-align: center;
}

.items ul {
    list-style: none;
    padding: 0;
}

.items li {
    background-color: var(--ligth-color);
    border-radius: 0.5em;
    padding: 0.1em 0.5em;
    border: 1px solid var(--medium-color);
    box-shadow: 0.2em 0.2em 0.4em var(--medium-color);
}

.items li+li {
    margin-top: 0.8em;
}

.items li p {
    margin: 0;
    color: var(--dark-color);
    font-size: 0.8rem;
}

.items .when {
    font-family: monospace;
}

.items .what {
    font-style: italic;
}

.items .buttons {
    float: right;
}

.items button {
    color: var(--white-color);
}

.items .buttons .complete {
    background-color: var(--success-color);
}

.items .buttons .edit {
    background-color: var(--primary-color);
}

.items .buttons .remove {
    background-color: var(--danger-color);
}

.when.completed {
    color: var(--medium-color);
    text-decoration: line-through;
}

.when.overdue {
    color: var(--danger-color);
}